Bug 1528867 - Samba AD-DC + BIND9_DLZ: DNS update fail using MIT KRB5 with "Request is a replay"
Summary: Samba AD-DC + BIND9_DLZ: DNS update fail using MIT KRB5 with "Request is a r...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: samba
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-24 20:05 UTC by Dario Lesca
Modified: 2018-11-30 18:56 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:56:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Samba Project 13066 None None None 2017-12-24 20:06:56 UTC

Description Dario Lesca 2017-12-24 20:05:49 UTC
Description of problem:

DNS update fail when run dnsupdate or via nsupdate + kerberos on a Samba Active Directory DC server with Fedora 27 + samba 4.7.3 + BIND9_DLZ DNS Backend 

Version-Release number of selected component (if applicable):

[root@server-addc ~]# rpm -q samba bind
samba-4.7.3-3.fc27.x86_64
bind-9.11.1-9.P3.fc27.x86_64

How reproducible:
Setup a Samba AD-DC with BIND9_DLZ DNS Backend and (optional) a dhcp with update dns script.
Try a dns update

Steps to Reproduce:
1.Setup a Samba AD-DC with BIND9_DLZ DNS Backend,
2.Run "samba_dnsupdate --all-names --fail-immediately"
3.Look into log (journalctl -f&)

Actual results:

DNS update fail whit: samba_dlz: spnego update failed

dic 24 13:31:59 server-addc.dom.loc named[749]: samba_dlz: starting transaction on zone dom.loc
dic 24 13:31:59 server-addc.dom.loc named[749]: samba_dlz: spnego update failed
dic 24 13:31:59 server-addc.dom.loc named[749]: client @0x7f0b3d1598b0 127.0.0.1#55949/key dhcpduser\@DOGMA-TO.LOC: updating zone 'dom.loc/N
dic 24 13:31:59 server-addc.dom.loc named[749]: samba_dlz: cancelling transaction on zone dom.loc

Expected results:

DNS Update work

Additional info:

See this tread:
https://lists.samba.org/archive/samba/2017-December/212948.html

And this Samba bugzilla:
https://bugzilla.samba.org/show_bug.cgi?id=13066

Work Around:

# echo 'KRB5RCACHETYPE="none"' >> /etc/sysconfig/named
# systemctl restart named

Dario

Comment 1 Ben Cotton 2018-11-27 17:41:09 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 18:56:48 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.